#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './userManagement_ui.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "userManagement_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a UserManagementUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
UserManagementUI::UserManagementUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "UserManagementUI" );
    UserManagementUILayout = new QVBoxLayout( this, 11, 6, "UserManagementUILayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox3, "textLabel1" );
    textLabel1->setMinimumSize( QSize( 0, 0 ) );
    groupBox3Layout->addWidget( textLabel1 );

    kLineEdit1 = new KLineEdit( groupBox3, "kLineEdit1" );
    kLineEdit1->setReadOnly( TRUE );
    groupBox3Layout->addWidget( kLineEdit1 );
    UserManagementUILayout->addWidget( groupBox3 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    listGroups = new KListView( groupBox1, "listGroups" );
    listGroups->addColumn( tr2i18n( "Group" ) );
    listGroups->addColumn( tr2i18n( "Profile" ) );
    listGroups->setMinimumSize( QSize( 350, 0 ) );
    listGroups->setAllColumnsShowFocus( TRUE );
    listGroups->setFullWidth( TRUE );
    groupBox1Layout->addWidget( listGroups );

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    buttonAddGroup = new QPushButton( groupBox1, "buttonAddGroup" );
    layout1->addWidget( buttonAddGroup );
    spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    layout1->addItem( spacer2 );

    buttonDeleteGroup = new QPushButton( groupBox1, "buttonDeleteGroup" );
    layout1->addWidget( buttonDeleteGroup );
    spacer1 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer1 );
    groupBox1Layout->addLayout( layout1 );
    UserManagementUILayout->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    listUsers = new KListView( groupBox2, "listUsers" );
    listUsers->addColumn( tr2i18n( "User" ) );
    listUsers->addColumn( tr2i18n( "Profile" ) );
    listUsers->setAllColumnsShowFocus( TRUE );
    listUsers->setFullWidth( TRUE );
    groupBox2Layout->addWidget( listUsers );

    layout1_2 = new QVBoxLayout( 0, 0, 6, "layout1_2"); 

    buttonAddUser = new QPushButton( groupBox2, "buttonAddUser" );
    layout1_2->addWidget( buttonAddUser );
    spacer2_2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    layout1_2->addItem( spacer2_2 );

    buttonDeleteUser = new QPushButton( groupBox2, "buttonDeleteUser" );
    layout1_2->addWidget( buttonDeleteUser );
    spacer1_2 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1_2->addItem( spacer1_2 );
    groupBox2Layout->addLayout( layout1_2 );
    UserManagementUILayout->addWidget( groupBox2 );
    languageChange();
    resize( QSize(600, 659).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
UserManagementUI::~UserManagementUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void UserManagementUI::languageChange()
{
    groupBox3->setTitle( tr2i18n( "Default Policy" ) );
    textLabel1->setText( tr2i18n( "Profile used for users with no assigned profile:" ) );
    kLineEdit1->setText( tr2i18n( "default" ) );
    groupBox1->setTitle( tr2i18n( "Group Policies" ) );
    listGroups->header()->setLabel( 0, tr2i18n( "Group" ) );
    listGroups->header()->setLabel( 1, tr2i18n( "Profile" ) );
    buttonAddGroup->setText( tr2i18n( "&Add Group Policy..." ) );
    buttonDeleteGroup->setText( tr2i18n( "&Delete Group Policy" ) );
    groupBox2->setTitle( tr2i18n( "Individual User Policies" ) );
    listUsers->header()->setLabel( 0, tr2i18n( "User" ) );
    listUsers->header()->setLabel( 1, tr2i18n( "Profile" ) );
    buttonAddUser->setText( tr2i18n( "&Add User Policy..." ) );
    buttonDeleteUser->setText( tr2i18n( "&Delete User Policy" ) );
}

#include "userManagement_ui.moc"
